;
; Character IO
;

include fossil.inc

  ifdef LANG_C
	.MODEL Large,C
  else
	.MODEL Large,Pascal
  endif

  ifdef LANG_PAS
Code	Segment Word Public
	assume CS:Code
  else
.CODE
  endif

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComRxChar	Receive character (wait for chr available)
;;	int ComRxChar(port, ch)
;;		int port	Port number to use
;;	Returns port status
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComRxChar

ComRxChar PROC, port:WORD
	comms rxwait,port
	ret
ComRxChar ENDP



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComRxPeek		Non-destructive read-ahead receive buffer
;;	int ComRxPeek(port)
;;		int port	Port number to use
;;	Returns 0xffff if not available, otherwise character
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComRxPeek

ComRxPeek PROC, port:WORD
	comms rxnowait,port
	ret
ComRxPeek ENDP



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComTxChar	Transmit character (wait for room in buffer)
;;	int ComTxChar(port, ch)
;;		int port	Port number to use
;;		char ch		Character to output
;;	Returns port status
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComTxChar

ComTxChar PROC, port:WORD, chr:BYTE
	mov AL,chr
	comms txwait,port
	ret
ComTxChar ENDP



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComTxChrNW		Transmit character (no wait)
;;	int ComRxChrNW(port, ch)
;;		int port	Port number to purge
;;		char ch		Character to output
;;	Returns 1 if sent, 0 if not
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComTxChrNW

ComTxChrNW PROC, port:WORD, chr:BYTE
	mov AL,chr
	comms txnowait,port
	ret
ComTxChrNW ENDP

  ifdef LANG_PAS
Code	ENDS
  endif

END
